Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I get an error trying to connect to a server thru SSH via a SOCK5 proxy with Putty.

The error is: Proxy returned Unexpected Version

Any clue what this error is, or how to troubleshoot? the Proxy connection works via FileZilla and Mozilla.

share|improve this question

1 Answer 1

up vote 1 down vote accepted

Are you sure your proxy is a SOCKS-5 proxy. The error message you are getting is telling you that Putty is expecting the proxy version to be 5 and that the proxy is returning an incorrect version (not 5).

If you can interpret a bit of code you can see exactly what's happening by looking at the Putty proxy code and a quick look at the SOCKS protocol.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.